* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.head-container {
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #354463;
}

.main-header {
  width: 8rem;
  height: 3.2rem;
  text-align: center;
  font: normal normal bold 18px/22px Helvetica;
  display: flex;
  align-items: center;
}

.main-container {
  padding: 10%;
  width: 100%;
  height: 67rem;
  background-color: bisque;
}

.form-container {
  padding: 6%;
  /* background-color: #354463; */
  /* width: 100%;*/
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-image: url("./assets/annie-spratt-427340-unsplash-\(1\)@2x.png");
  background-color: #354463;
  background-size: 100%;
  background-position: cover;
  /* background-repeat: ; */
}

.heading {
  width: 100%;
  height: 14rem;
  /* margin: auto; */
  font: normal normal normal 32px/46px Flood Std;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: #ffffff;
}

.personal-info-container {
  width: 90%;
  height: 20rem;
}

.payment-info {
  width: 90%;
  height: 11.5rem;
}

.donation-form {
  width: 90%;
  height: 50rem;
  /* margin: auto; */
  background-color: #354463;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #ffffff;
}

.personal-info-feilds {
  width: 100%;
  height: 14.4rem;
  display: grid;
  grid-template-rows: repeat(4, 1fr);
  grid-template-columns: repeat(16, 1fr);
  grid-row-gap: 0.8rem;
}

.heading-container {
  width: 100%;
  height: 5rem;
  padding-top: 1.4rem;
  font: normal normal bold 22px/28px Helvetica;
}

input {
  width: 100%;
  display: block;
  border: none;
  background: transparent;
  text-align: left;
  font: normal normal 300 16px/24px Helvetica;
  letter-spacing: -0.16px;
  color: #ffffff;
  opacity: 1;
  padding-top: 10px;
}

label {
  font: normal normal normal 11px/13px Helvetica;
  letter-spacing: 0.44px;
}

.first-name {
  grid-area: 1/1/2/8;
}

.last-name {
  grid-area: 1/10/2/17;
}

.street-address {
  grid-area: 2/1/3/17;
}

.city {
  grid-area: 3/1/4/7;
}

.state {
  grid-area: 3/9/4/13;
}

.select-box {
  background-color: transparent;
  color: white;
  border: none;
}
.zip-code {
  grid-area: 3/14/4/17;
}

.email {
  grid-area: 4/1/5/17;
}

.form-info {
  border-bottom: solid 2px #c1f7d5;
  display: flex;
  flex-direction: column;
}

.payment-heading {
  width: 100%;
  height: 5rem;
  padding-top: 1.4rem;
  font: normal normal bold 22px/28px Helvetica;
}

.payment-feilds {
  width: 100%;
  height: 6.4rem;
  display: grid;
  grid-template-rows: repeat(2, 1fr);
  grid-template-columns: repeat(16, 1fr);
  grid-row-gap: 0.8rem;
}

.card-number {
  grid-area: 1/1/2/17;
}

.expire-date {
  grid-area: 2/1/3/8;
  position: relative;
}

.security-code {
  grid-area: 2/10/3/17;
  /* width: 50%; */
}

.date {
  display: flex;
}

.date::after {
  content: "";
  height: 5px;
  width: 5px;
  position: absolute;
  bottom: -4px;
  background: #354463;
  left: calc(50% - 2.5px);
}

.confirmtion-p {
  width: 90%;
  height: 10rem;
  font: normal normal bold 18px/22px Helvetica;
  padding-top: 3rem;
}

.btn-container {
  width: 90%;
  height: 6rem;
}
.btn {
  color: #354463;
}

.btn-box {
  width: 100%;
  height: 3rem;
  font: normal normal bold 16px/20px Helvetica;
  background-color: #c1f7d5;
  padding-top: 1rem;
  text-align: center;
  border-radius: 20px;
}

.go-back {
  text-decoration: underline;
  margin-top: 1.5rem;
  color: #c1f7d5;
  font: normal normal 300 16px/56px Helvetica;
}

@media (min-width: 740px) {
  .form-container {
    background-image: url("./assets/annie-1.png");
    /* background-repeat: ; */
  }
  /* .form-container {
        padding:6%;
          background-color: #354463; 
          width: 100%;
          height: 100%;
          display: flex;
          flex-direction: column;
          align-items: center;
          background-image:url("./assets/annie-2.png");
          background-color: #354463;
          background-size: 100%;
          background-position: center;
        } */
}

@media (min-width: 1024px) {
  .donation-form {
    width: 34rem;
  }

  .heading {
    width: 20rem;
    margin-bottom: 32rem;
    font: normal normal normal 56px/76px Flood Std;
  }

  .form-container {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-around;
  }



  .btn-container {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
  }

  .btn-box {
    width: 16rem;
  }
  .form-container {
    background-image: url("./assets/annie-1.png");
    /* background-repeat: ; */
  }

  .confirmtion-p {
    width: 26rem;
    font: normal normal bold 24px/36px Helvetica;
    align-self: flex-start;
    margin-left: 2.1rem;
  }

  .go-back {
    margin-top: 0rem;
  }

  .footer{
    padding: 10%;
  }
}
